Back when Rails 7 was released, there was a new minor version of Ruby released (3.0 > 3.1). In 3.1, something was removed and it broke the installation of Rails 7.
I push my Ruby, under rbenv, back to 3.0 to get Rails 7 working.
I think tomorrow is the day to ungraded all the Rails things.

Follow

@gnoll110 there're some of issues with the last security update:

Rails 5.2.7.1 broke compatibility with ruby 2.2 (which is meant to support)
github.com/rails/rails/pull/44

Rails is escaping Vue Syntax
github.com/rails/rails/issues/

fresh_when in combination with CSP is not working
github.com/rails/rails/issues/

So, yes. We might have a new release soon.

In the mean time I'd suggest to test thoughtfully on your staging environments.

Sign in to participate in the conversation
Ruby.social

A Mastodon instance for Rubyists & friends